Skip to main content
PUT
/
api
/
v0
/
webhooks
/
{id}
/
update notification webhook
curl --request PUT \
  --url https://console.vast.ai/api/v0/webhooks/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Primary ops notifications",
  "event_types": [
    "client:low_credit",
    "client:outbid"
  ]
}
'
{
  "success": true,
  "webhook": {
    "id": 42,
    "user_id": 123,
    "name": "Ops notifications",
    "webhook_url": "https://example.com/vast/webhooks",
    "event_types": [
      "client:low_credit",
      "host:machine_offline"
    ],
    "created_at": 1772490000,
    "updated_at": 1772490000
  },
  "enabled_notification_preferences": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

Webhook ID.

Body

application/json
name
string | null
Maximum string length: 120
webhook_url
string<uri>
Maximum string length: 2048
event_types
string[]
Minimum array length: 1

Response

Webhook updated successfully

success
boolean
Example:

true

webhook
object
enabled_notification_preferences
string[]